import { Point2D } from "./core";
export declare class Vector2D implements Point2D {
    x: number;
    y: number;
    static fromArray(array: number[]): Vector2D;
    static fromObject(obj: Point2D): Vector2D;
    constructor(x: number, y: number);
    add(v: Point2D): Vector2D;
    subtract(v: Point2D): Vector2D;
    multiply(v: Point2D): Vector2D;
    multiplyScalar(scalar: number): Vector2D;
    divide(v: Point2D): Vector2D;
    dot(v: Point2D): number;
    cross(v: Point2D): number;
    lengthSquared(): number;
    length(): number;
    distanceSquared(v: Point2D): number;
    distance(v: Point2D): number;
    normalize(): Vector2D;
    angle(): number;
    angleDegree(): number;
    rotate(angle: number): Vector2D;
    isEqualTo(v: Point2D): boolean;
    clone(): Vector2D;
    toObject(): Point2D;
    toArray(): [number, number];
}
